﻿using ComPDFKitViewer.AnnotEvent;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.AnnotPanel
{
    public class Stamp : BindableBase
    {
        private string stampText;

        public string StampText
        {
            get { return stampText; }
            set
            {
                SetProperty(ref stampText, value);
            }
        }

        private string sourcePath;

        public string SourcePath
        {
            get { return sourcePath; }
            set
            {
                SetProperty(ref sourcePath, value);
            }
        }

        private int maxWidth;

        public int MaxWidth
        {
            get { return maxWidth; }
            set
            {
                SetProperty(ref maxWidth, value);
            }
        }

        private int maxHeight;

        public int MaxHeight
        {
            get { return maxHeight; }
            set
            {
                SetProperty(ref maxHeight, value);
            }
        }

        private StampType type;

        public StampType Type
        {
            get { return type; }
            set
            {
                SetProperty(ref type, value);
            }
        }

        private string author;

        public string Author
        {
            get { return author; }
            set
            {
                SetProperty(ref author, value);
            }
        }
        private double opacity;

        public double Opacity
        {
            get { return opacity; }
            set
            {
                SetProperty(ref opacity, value);
            }
        }


    }
}
